import java.awt.Shape;
import java.awt.geom.GeneralPath;
import java.awt.geom.Rectangle2D;
import java.awt.geom.Line2D;


/**
 * Ein Schrank, der manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * 
 * @author claus albowski
 * @version 1.3  (22.01.05)
 */
public class Schrank extends Moebel
{

  /**
   * Erzeuge einen neuen Schrank mit einer Standardfarbe und Standardgroesse
   * an einer Standardposition.
   */
    public Schrank()
  {
    xPosition = 20;
    yPosition = 150;
    farbe = "blau";
    orientierung = 0;
    istSichtbar = false;
    breite = 60;
    tiefe  = 37;
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath schrank = new GeneralPath();
      Shape rahmen = new Rectangle2D.Double(0, 0, breite, tiefe);
      Shape linie1 = new Line2D.Double(0, 0, breite, tiefe);
      Shape linie2 = new Line2D.Double(breite, 0, 0, tiefe);
      schrank.append(rahmen, false);
      schrank.append(linie1, false);
      schrank.append(linie2, false);
      
      return  transformiere(schrank);
  }
  
}
