import java.awt.Shape;
import java.awt.geom.GeneralPath;
import java.awt.geom.Rectangle2D;
import java.awt.geom.Line2D;


/**
 * Eine Schrankwand, die manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * 
 * @author claus albowski
 * @version 1.3  (22.01.05)
 */
public class Schrankwand extends Moebel
{

  /**
   * Erzeuge einen neuen Schrankwand mit einer Standardfarbe und Standardgroesse
   * an einer Standardposition.
   */
    public Schrankwand()
  {
    xPosition = 40;
    yPosition = 80;
    farbe = "blau";
    orientierung = 0;
    istSichtbar = false;
    breite = 180;
    tiefe  = 37;
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath schrank = new GeneralPath();
      Shape rahmen = new Rectangle2D.Double(0, 0, breite/3, tiefe);
      Shape linie1 = new Line2D.Double(0, 0, breite/3, tiefe);
      Shape linie2 = new Line2D.Double(breite/3, 0, 0, tiefe);
      schrank.append(rahmen, false);
      schrank.append(linie1, false);
      schrank.append(linie2, false);
      
      rahmen = new Rectangle2D.Double(breite/3, 0, breite/3, tiefe);
      linie1 = new Line2D.Double(breite/3, 0, 2*breite/3, tiefe);
      linie2 = new Line2D.Double(2*breite/3, 0, breite/3, tiefe);
      schrank.append(rahmen, false);
      schrank.append(linie1, false);
      schrank.append(linie2, false);
      
      rahmen = new Rectangle2D.Double(2*breite/3, 0, breite/3, tiefe);
      linie1 = new Line2D.Double(2*breite/3, 0, breite, tiefe);
      linie2 = new Line2D.Double(breite, 0, 2*breite/3, tiefe);
      schrank.append(rahmen, false);
      schrank.append(linie1, false);
      schrank.append(linie2, false);
      
      return  transformiere(schrank);
  }
  
}
